import { ClientProxy, ReadPacket, WritePacket } from '@nestjs/microservices';
import { NatsConnection } from 'nats';
import { NatsJetStreamClientOptions } from './interfaces/nats-jetstream-client-options.interface';
import { NatsJetStreamRecord } from './utils/nats-jetstream-record.builder';
export declare class NatsJetStreamClientProxy extends ClientProxy {
    private options;
    private nc;
    private codec;
    constructor(options: NatsJetStreamClientOptions);
    connect(): Promise<NatsConnection>;
    close(): Promise<void>;
    protected publish(packet: ReadPacket, callback: (packet: WritePacket) => void): () => void;
    protected dispatchEvent(packet: ReadPacket<NatsJetStreamRecord>): Promise<any>;
}
