"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NatsJetStreamTransport = void 0;
const client_1 = require("./client");
const constants_1 = require("./constants");
class NatsJetStreamTransport {
    static register(options) {
        const providers = [
            {
                provide: constants_1.NATS_JETSTREAM_OPTIONS,
                useValue: options,
            },
            client_1.NatsJetStreamClientProxy,
        ];
        return {
            providers,
            exports: providers,
            module: NatsJetStreamTransport,
        };
    }
    static registerAsync(options) {
        return {
            module: NatsJetStreamTransport,
            imports: options.imports,
            providers: [
                {
                    provide: constants_1.NATS_JETSTREAM_OPTIONS,
                    useFactory: options.useFactory,
                    inject: options.inject || [],
                },
                client_1.NatsJetStreamClientProxy,
            ],
            exports: [client_1.NatsJetStreamClientProxy],
        };
    }
}
exports.NatsJetStreamTransport = NatsJetStreamTransport;
//# sourceMappingURL=nats-jetstream-transport.module.js.map