import { JetStreamPublishOptions } from 'nats';
export declare class NatsJetStreamRecord<TData = any> {
    readonly payload: TData;
    readonly options: Partial<JetStreamPublishOptions>;
    constructor(payload: TData, options: Partial<JetStreamPublishOptions>);
}
export declare class NatsJetStreamRecordBuilder<TData = any> {
    private payload?;
    private options;
    constructor(payload?: TData);
    setMsgId(msgId: string): void;
    getMsgId(): string;
    appendHeader(key: string, value: string): void;
    build(): NatsJetStreamRecord<TData>;
    setExpectations(expect: Partial<JetStreamPublishOptions['expect']>): void;
    setPayload(payload: TData): void;
}
