"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NatsJetStreamRecordBuilder = exports.NatsJetStreamRecord = void 0;
const nats_1 = require("nats");
class NatsJetStreamRecord {
    constructor(payload, options) {
        this.payload = payload;
        this.options = options;
    }
}
exports.NatsJetStreamRecord = NatsJetStreamRecord;
class NatsJetStreamRecordBuilder {
    constructor(payload) {
        this.payload = payload;
        this.options = {};
    }
    setMsgId(msgId) {
        this.options.msgID = msgId;
    }
    getMsgId() {
        return this.options.msgID;
    }
    appendHeader(key, value) {
        this.options.headers = this.options.headers || (0, nats_1.headers)();
        this.options.headers.append(key, value);
    }
    build() {
        return new NatsJetStreamRecord(this.payload, this.options);
    }
    setExpectations(expect) {
        this.options.expect = expect;
    }
    setPayload(payload) {
        this.payload = payload;
    }
}
exports.NatsJetStreamRecordBuilder = NatsJetStreamRecordBuilder;
//# sourceMappingURL=nats-jetstream-record.builder.js.map