import { RequestOptions } from 'nats';
export declare class NatsRequestRecord<TData = any> {
    readonly payload: TData;
    readonly options: RequestOptions;
    constructor(payload: TData, options: RequestOptions);
}
export declare class NatsRequestOptionsBuilder<TData = any> {
    private payload?;
    private options;
    constructor(payload?: TData);
    appendHeader(key: string, value: string): void;
    build(): NatsRequestRecord<TData>;
    setPayload(payload: TData): void;
    setReplyToSubject(replyTo: string): void;
    setTimeout(value: number): void;
    setNoMux(value: boolean): void;
}
