"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NatsRequestOptionsBuilder = exports.NatsRequestRecord = void 0;
const nats_1 = require("nats");
class NatsRequestRecord {
    constructor(payload, options) {
        this.payload = payload;
        this.options = options;
    }
}
exports.NatsRequestRecord = NatsRequestRecord;
class NatsRequestOptionsBuilder {
    constructor(payload) {
        this.payload = payload;
        this.options = {
            timeout: 1000,
        };
    }
    appendHeader(key, value) {
        this.options.headers = this.options.headers || (0, nats_1.headers)();
        this.options.headers.append(key, value);
    }
    build() {
        return new NatsRequestRecord(this.payload, this.options);
    }
    setPayload(payload) {
        this.payload = payload;
    }
    setReplyToSubject(replyTo) {
        this.options.reply = replyTo;
        this.options.noMux = true;
    }
    setTimeout(value) {
        this.options.timeout = value;
    }
    setNoMux(value) {
        this.options.noMux = value;
    }
}
exports.NatsRequestOptionsBuilder = NatsRequestOptionsBuilder;
//# sourceMappingURL=nats-request-record-builder.js.map