"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.serverConsumerOptionsBuilder = void 0;
const nats_1 = require("nats");
function serverConsumerOptionsBuilder(serverConsumerOptions, subject) {
    const { deliverGroup, deliverToSubject, deliverTo, ackWait, manualAck, ackPolicy, deliverPolicy, description, durable, filterSubject, flowControl, headersOnly, idleHeartbeat, limit, maxAckPending, maxDeliver, maxMessages, maxWaiting, orderedConsumer, replayPolicy, sample, startAtTimeDelta, startSequence, startTime, } = serverConsumerOptions;
    const opts = (0, nats_1.consumerOpts)();
    deliverGroup && opts.deliverGroup(deliverGroup);
    ackWait && opts.ackWait(ackWait);
    manualAck && opts.manualAck();
    ackPolicy === 'All' && opts.ackAll();
    ackPolicy === 'Explicit' && opts.ackExplicit();
    ackPolicy === 'None' && opts.ackNone();
    deliverPolicy === 'All' && opts.deliverAll();
    deliverPolicy === 'Last' && opts.deliverLast();
    deliverPolicy === 'last_per_subject' && opts.deliverLastPerSubject();
    deliverPolicy === 'New' && opts.deliverNew();
    deliverToSubject && opts.deliverTo(deliverToSubject);
    deliverTo && opts.deliverTo((0, nats_1.createInbox)(deliverTo));
    description && opts.description(description);
    durable &&
        opts.durable(`${durable}-${subject.replaceAll('.', '_').replaceAll('*', '_ALL').replaceAll('>', '_ALL')}`);
    filterSubject && opts.filterSubject(filterSubject);
    flowControl && opts.flowControl();
    headersOnly && opts.headersOnly();
    idleHeartbeat && opts.idleHeartbeat(idleHeartbeat);
    limit && opts.limit(limit);
    maxAckPending && opts.maxAckPending(maxAckPending);
    maxDeliver && opts.maxDeliver(maxDeliver);
    maxMessages && opts.maxMessages(maxMessages);
    maxWaiting && opts.maxWaiting(maxWaiting);
    orderedConsumer && opts.orderedConsumer();
    replayPolicy === 'Instant' && opts.replayInstantly();
    replayPolicy === 'Original' && opts.replayOriginal();
    sample && opts.sample(sample);
    startAtTimeDelta && opts.startAtTimeDelta(startAtTimeDelta);
    startSequence && opts.startSequence(startSequence);
    startTime && opts.startTime(startTime);
    return opts;
}
exports.serverConsumerOptionsBuilder = serverConsumerOptionsBuilder;
//# sourceMappingURL=server-consumer-options-builder.js.map